Subject: Re: 2.43 release date adjustment?

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Aug 2023 18:21:33 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, Aug 23, 2023 at 03:03:45PM -0700, Junio C Hamano wrote:
>> Taylor Blau <[email-masked]> writes:
>>
>> > No specific reason to expect bugs. Just trying to line things up so that
>> > we have (a) people around when the release is tagged, and (b) don't have
>> > a release hanging over our heads either during or immediately after a
>> > week when most US developers are offline.
>>
>> That is exactly what I call "expecting a post-release fixes".
>>
>> A much more important thing is to make sure we catch them before the
>> release and devise ways to help us do so, perhaps opting more userbase
>> into testing early.
>
> I agree, but shouldn't we still plan such that we have folks around for
> a week after the release in case something was missed?

I would rather want to see us try hard to avoid regressing in the
first place, instead of plan to have regression in the release and
have folks around after the release date.